﻿<?xml version="1.0" encoding="utf-8" ?>
<forms:BaseContentPage  xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:viewmodels="clr-namespace:TimeTracker.Apps.ViewModels"
             xmlns:viewModels="clr-namespace:TimeTracker.Apps.ViewModels;assembly=TimeTracker.Apps"
             xmlns:forms="clr-namespace:Storm.Mvvm.Forms;assembly=Storm.Mvvm.Forms"
             x:DataType="viewmodels:AddTimerProjectListViewModel"
             x:Class="TimeTracker.Apps.Pages.AddTimerProjectListPage"
             Title="Liste des projets">

    <ContentPage.Resources>
        <DataTemplate x:DataType="viewmodels:Projet" x:Key="ProjetTemplate">
            <ViewCell>
                <StackLayout Orientation="Vertical" HorizontalOptions="StartAndExpand">
                    <Label Text="{Binding Name}"
                           FontSize="25"
                           LineBreakMode="WordWrap"
                           FontAttributes="Bold"
                           TextColor="DarkCyan">
                    </Label>

                    <Label Text="{Binding Description}"
                           FontSize="18"
                           FontAttributes="Italic"
                           TextColor="Black">

                    </Label>

                    <Grid ColumnDefinitions="*,*" HorizontalOptions="FillAndExpand">
                        <Button Grid.Column="0"
                                Text="Tâches"
                                BackgroundColor="Green"
                                TextColor="White"
                                CornerRadius="32"
                                Margin="7"
                                Command="{Binding TaskCommand}"
                                CommandParameter="{Binding .}"
                        />
                        <Button Grid.Column="1"
                                Text="Supprimer"
                                
                                TextColor="White"
                                BackgroundColor="DarkRed"
                                CornerRadius="32"
                                Margin="7"
                                Command="{Binding DeleteCommand}"
                                CommandParameter="{Binding .}"
                        />
                        
                    </Grid>
                </StackLayout>
            </ViewCell>

        </DataTemplate>

    </ContentPage.Resources>
    
    <StackLayout>

        <Grid RowDefinitions="*, Auto" Margin="12,0,12,48">
            <ListView ItemsSource="{Binding Projects}"
                  Grid.Row="0"
                  HasUnevenRows="True"  
                  ItemTemplate="{StaticResource ProjetTemplate }"
                  />
        </Grid>

        <StackLayout Padding="20">

            <Button Text="Ajouter projet"
                FontSize="Body"
                FontAttributes="Bold"
                TextColor="White"
                BackgroundColor="CadetBlue"
                CornerRadius="32"
                HorizontalOptions="FillAndExpand"
                Margin="5"
                Command="{Binding AddCommand}"
                />

        </StackLayout>

    </StackLayout>

</forms:BaseContentPage>